<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>interval1</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="inherit.extend.html">inherit (extend)</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="interval2.html">interval2</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">interval1</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>
        <p>There are two ways to specify a date interval. The start and end date must lie within the specified project period.</p>
        <p>The first is the most obvious. A date interval consists of a start and end DATE. Watch out for end dates without a time specification! Date specifications are 0 extended. An end date without a time is expanded to midnight that day. So the day of the end date is not included in the interval! The start and end dates must be separated by a hyphen character.</p>
        <p>In the second form specifies the start date and an interval duration. The duration must be prefixed by a plus character.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>&lt;date&gt; (- &lt;date&gt; | + &lt;duration&gt; (min | h | d | w | m | y))</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="8">Arguments</td>
      <td class="descr">date</td>
      <td class="descr"><div>See <a href="date.html">date</a> for details.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">duration</td>
      <td class="descr"><div>The duration of the interval. May not be 0.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">min</td>
      <td class="descr"><div>minutes</div></td>
     </tr>
     <tr align="left">
      <td class="descr">h</td>
      <td class="descr"><div>hours</div></td>
     </tr>
     <tr align="left">
      <td class="descr">d</td>
      <td class="descr"><div>days</div></td>
     </tr>
     <tr align="left">
      <td class="descr">w</td>
      <td class="descr"><div>weeks</div></td>
     </tr>
     <tr align="left">
      <td class="descr">m</td>
      <td class="descr"><div>months</div></td>
     </tr>
     <tr align="left">
      <td class="descr">y</td>
      <td class="descr"><div>years</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2"><a href="Getting_Started.html#Structure_of_a_TJP_File">Global scope</a></td>
     </tr>
    </table></p>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="inherit.extend.html">inherit (extend)</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="interval2.html">interval2</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
